Subject: bug#18234: closed (Re: bug#18234: Unbreak the DOS build)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Aug 2014 16:31:03 +0000

Your bug report

#18234: Unbreak the DOS build

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18234: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18234
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18234: Unbreak the DOS build
From: Reuben Thomas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sun, 10 Aug 2014 17:29:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 10 August 2014 03:52, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sat, 9 Aug 2014 22:56:16 +0100
> > From: Reuben Thomas <[email-masked]>
> >
> > The following patch is, I believe, necessary and sufficient to fix some
> > minor breakage recently inadvertently perpetrated on the MS-DOS build:
>
> Looks OK, please go ahead and commit.
>

I've installed the patch, thanks for the review.

-- 
http://rrt.sc3d.org

Subject: Unbreak the DOS build
From: Reuben Thomas <[email-masked]>
To: bug-emacs <[email-masked]>
Date: Sat, 9 Aug 2014 22:56:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The following patch is, I believe, necessary and sufficient to fix some
minor breakage recently inadvertently perpetrated on the MS-DOS build:

=== modified file 'src/msdos.c'
--- src/msdos.c    2014-08-09 16:12:33 +0000
+++ src/msdos.c    2014-08-09 21:51:56 +0000
@@ -71,6 +71,7 @@
 #include "coding.h"
 #include "disptab.h"
 #include "window.h"
+#include "menu.h"
 #include "buffer.h"
 #include "commands.h"
 #include "blockinput.h"
=== modified file 'src/term.c'
--- src/term.c    2014-07-27 13:21:30 +0000
+++ src/term.c    2014-08-09 11:15:08 +0000
@@ -3935,7 +3935,11 @@
   terminal->reset_terminal_modes_hook = &tty_reset_terminal_modes;
   terminal->set_terminal_modes_hook = &tty_set_terminal_modes;
   terminal->update_end_hook = &tty_update_end;
+#ifdef MSDOS
+  terminal->menu_show_hook = &x_menu_show;
+#else
   terminal->menu_show_hook = &tty_menu_show;
+#endif
   terminal->set_terminal_window_hook = &tty_set_terminal_window;
   terminal->read_socket_hook = &tty_read_avail_input; /* keyboard.c */
   terminal->delete_frame_hook = &tty_free_frame_resources;

But until I know my way around the DOS code better I thought I should get a
second opinion.

-- 
http://rrt.sc3d.org